Download

Outlook Commander 

v.1.01  

Requires Windows 7, 8.1 or 10

Outlook 2010, 2013, 2016 or 2019